extends ../../layout

block pageMeta
  title Positions Viewer
  meta(name='description' content='View Uniswap v3 LP Positions for a given address(s)')

block header
  h1
    img.title-img.nine-mm(src="~/src/lib/assets/images/9mm.png")
    | Positions Viewer - 9mm V3
    br
    small
      a(href="/") Tools
    small
      a(href="/liquidity") Liquidity
    small
      a(href="/positions") Positions

block content
  section.query(data-controller='query')
    .input(
      contenteditable='true'
      spellcheck='false'
      data-query-target='input'
      data-action='input->query#maybeQuery change->query#maybeQuery'

      placeholder='Paste an address or collection of addresses'
    )

  section.owners(data-controller='owners')

block append javascripts
  script
    | window.selectedDex = '9mm-v3'

  script(type='module' src='~/src/lib/javascripts/positions.js')
